%global pkgvers 0
%global scdate0 20240320
%global schash0 c8460133b18bd72afd4e806afe3aa7b7b1fdca83
%global branch0 master
%global source0 https://github.com/tensorflow/agents.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           tensorflow-agents
Version:        0.19.0
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        TF library for Contextual Bandits and Reinforcement Learning
License:        Apache

BuildArch:      noarch

URL:            https://github.com/tensorflow/agents

BuildRequires:  git python3 python3-setuptools python3-rpm-macros

Requires:       tensorflow tensorflow-probability gym pygame gin-config

%description
TF-Agents: A reliable, scalable and easy to use TensorFlow
library for Contextual Bandits and Reinforcement Learning.

%package        python3
Summary:        %{summary}
Provides:       tensorflow-agents

%description    python3
TF-Agents: A reliable, scalable and easy to use TensorFlow
library for Contextual Bandits and Reinforcement Learning.


%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller


%build
%py3_build


%install
%py3_install


%files python3
%license LICENSE
%doc README.md
%doc docs
%{python3_sitelib}/*


%changelog
* Thu Apr 14 2022 Cristian Balint <cristian.balint@gmail.com>
- git update releases
